Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.builder.dialect.java
Class AbstractJavaProcessBuilder

    java.lang.Object
      org.jbpm.process.builder.dialect.java.AbstractJavaProcessBuilder

Direct Known Subclasses:
  JavaActionBuilder, JavaReturnValueEvaluatorBuilder

    public class AbstractJavaProcessBuilder

extends Object

Field Summary
`protected static org.mvel2.templates.TemplateRegistry` | `INVOKER_REGISTRY`
`protected static org.mvel2.templates.TemplateRegistry` | `RULE_REGISTRY`

Constructor Summary
`AbstractJavaProcessBuilder()`

Method Summary
`Map` | `createVariableContext(String className, String text, ProcessBuildContext context, String[] globals)`
`Map` | `createVariableContext(String className, String text, ProcessBuildContext context, String[] globals, Set<String> unboundIdentifiers, ContextResolver contextResolver)`
`void` | `generatTemplates(String ruleTemplate, String invokerTemplate, ProcessBuildContext context, String className, Map vars, Object invokerLookup, org.drools.compiler.lang.descr.BaseDescr descrLookup)`
`org.mvel2.templates.TemplateRegistry` | `getInvokerTemplateRegistry()`
`org.mvel2.templates.TemplateRegistry` | `getRuleTemplateRegistry()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RULE_REGISTRY

    protected static final org.mvel2.templates.TemplateRegistry RULE_REGISTRY

### INVOKER_REGISTRY

    protected static final org.mvel2.templates.TemplateRegistry INVOKER_REGISTRY

Constructor Detail

### AbstractJavaProcessBuilder

    public AbstractJavaProcessBuilder()

Method Detail

### getRuleTemplateRegistry

    public org.mvel2.templates.TemplateRegistry getRuleTemplateRegistry()

### getInvokerTemplateRegistry

    public org.mvel2.templates.TemplateRegistry getInvokerTemplateRegistry()

### createVariableContext

    public Map createVariableContext(String className,
                                     String text,
                                     ProcessBuildContext context,
                                     String[] globals)

### createVariableContext

    public Map createVariableContext(String className,
                                     String text,
                                     ProcessBuildContext context,
                                     String[] globals,
                                     Set<String> unboundIdentifiers,
                                     ContextResolver contextResolver)

### generatTemplates

    public void generatTemplates(String ruleTemplate,
                                 String invokerTemplate,
                                 ProcessBuildContext context,
                                 String className,
                                 Map vars,
                                 Object invokerLookup,
                                 org.drools.compiler.lang.descr.BaseDescr descrLookup)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.